package com.namasoft.contracts.common.dtos.results;

import java.util.List;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;

import com.namasoft.common.ResultDTO;
import com.namasoft.common.layout.metadata.BasicFieldMetaData;
import com.namasoft.contracts.common.dtos.ListStyle;

@SuppressWarnings("serial")
@XmlAccessorType(XmlAccessType.PROPERTY)
public class ListEntityResultBase<T> extends PagedListResult<T>
{
	private ListStyle style;
	private List<BasicFieldMetaData> processedColumnsMetaData;

	public ListEntityResultBase(Integer pageNumber, Integer pageSize, Long totalRecordsCount, String orderedBy, List<T> page, ResultDTO result,
			ListStyle style, List<BasicFieldMetaData> processedColumnsMetaData)
	{
		super(pageNumber, pageSize, totalRecordsCount, orderedBy, page, result);
		setStyle(style);
		setProcessedColumnsMetaData(processedColumnsMetaData);
	}

	public ListEntityResultBase()
	{
		super();
	}

	public ListEntityResultBase(ResultDTO result)
	{
		super(result);
	}

	public ListStyle getStyle()
	{
		return style;
	}

	public void setStyle(ListStyle style)
	{
		this.style = style;
	}

	public List<BasicFieldMetaData> getProcessedColumnsMetaData()
	{
		return processedColumnsMetaData;
	}

	public void setProcessedColumnsMetaData(List<BasicFieldMetaData> processedColumnsMetaData)
	{
		this.processedColumnsMetaData = processedColumnsMetaData;
	}

}
