package com.namasoft.modules.commonbasic.contracts.entities;

import com.namasoft.common.flatobjects.EntityReferenceData;
import com.namasoft.contracts.common.dtos.DTOAddress;
import com.namasoft.contracts.common.dtos.DTOContactInfo;
import com.namasoft.contracts.common.dtos.DTOLargeData;
import com.namasoft.contracts.common.dtos.DTOTimePeriod;
import com.namasoft.contracts.common.dtos.MasterFileDTO;
import com.namasoft.modules.commonbasic.contracts.details.DTOSupplierContactInfo;
import com.namasoft.modules.commonbasic.contracts.details.DTOSupplierExtraInfo;
import com.namasoft.modules.commonbasic.contracts.valueobjects.DTOBankInfo;
import com.namasoft.modules.commonbasic.contracts.valueobjects.DTOSubsidiaryOwner;
import com.namasoft.modules.commonbasic.contracts.valueobjects.DTOTaxInfo;
import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlRootElement;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;
@SuppressWarnings("serial")
@XmlRootElement
@XmlAccessorType(XmlAccessType.PROPERTY)
public abstract class GeneratedDTOSupplier extends MasterFileDTO implements Serializable
{
	private BigDecimal annualTargetAchievedValue;
	private BigDecimal annualTargetCostValue;
	private BigDecimal annualTargetValue;
	private BigDecimal maxCreditLimitFromSupplier;
	private BigDecimal profitMargin;
	private BigDecimal showGoodsDiscountPercent;
	private Boolean activated;
	private Boolean b4;
	private Boolean boolean10;
	private Boolean boolean1;
	private Boolean boolean2;
	private Boolean boolean3;
	private Boolean boolean4;
	private Boolean boolean5;
	private Boolean boolean6;
	private Boolean boolean7;
	private Boolean boolean8;
	private Boolean boolean9;
	private Boolean canBeRaplaced;
	private Boolean canBeReturned;
	private Boolean generateContacts;
	private Boolean hasLetterOfCredit;
	private Boolean hasPaperOfCredit;
	private Boolean isCourier;
	private Boolean isCustomClearance;
	private Boolean isGenset;
	private Boolean isOceanFreight;
	private Boolean isShippingLine;
	private Boolean isTrucking;
	private Boolean sameContactAddress;
	private Boolean sameShipingAddress;
	private DTOAddress billingAddress;
	private DTOAddress shippingAddress;
	private DTOBankInfo bankInfo;
	private DTOContactInfo contactInfo;
	private DTOLargeData attachment1;
	private DTOLargeData attachment2;
	private DTOLargeData attachment3;
	private DTOLargeData attachment4;
	private DTOLargeData attachment5;
	private DTOLargeData attachment6;
	private DTOLargeData attachment7;
	private DTOLargeData attachment8;
	private DTOLargeData attachment9;
	private DTOLargeData attachment;
	private DTOLargeData commercialRegAttach;
	private DTOLargeData taxRegAttach;
	private DTOSubsidiaryOwner subsidiaryAccounts;
	private DTOTaxInfo taxInfo;
	private DTOTimePeriod paymentPeriod;
	private DTOTimePeriod replacingPeriod;
	private DTOTimePeriod returnPeriod;
	private Date dealingStartDate;
	private Date lastPIDate;
	private Date lastPODate;
	private Date lastPRDate;
	private EntityReferenceData contactsGroup;
	private EntityReferenceData defaultCurrency;
	private EntityReferenceData purchaseMan;
	private EntityReferenceData ref10;
	private EntityReferenceData ref11;
	private EntityReferenceData ref12;
	private EntityReferenceData ref6;
	private EntityReferenceData ref7;
	private EntityReferenceData ref8;
	private EntityReferenceData ref9;
	private EntityReferenceData supplierClass;
	private EntityReferenceData taxPlan;
	private Integer importance;
	private List<DTOSupplierContactInfo> contacts = new ArrayList<DTOSupplierContactInfo>();
	private List<DTOSupplierExtraInfo> extraInfo = new ArrayList<DTOSupplierExtraInfo>();
	private String additionalInfo1;
	private String additionalInfo2;
	private String additionalInfo3;
	private String additionalInfo4;
	private String altCode;
	private String cachedSizes;
	private String contactTitle;
	private String defaultUOM;
	private String description10;
	private String description6;
	private String description7;
	private String description8;
	private String description9;
	private String paymentStarategy;
	public BigDecimal getAnnualTargetAchievedValue()
	{
		return annualTargetAchievedValue;
	}

	public BigDecimal getAnnualTargetCostValue()
	{
		return annualTargetCostValue;
	}

	public BigDecimal getAnnualTargetValue()
	{
		return annualTargetValue;
	}

	public BigDecimal getMaxCreditLimitFromSupplier()
	{
		return maxCreditLimitFromSupplier;
	}

	public BigDecimal getProfitMargin()
	{
		return profitMargin;
	}

	public BigDecimal getShowGoodsDiscountPercent()
	{
		return showGoodsDiscountPercent;
	}

	public Boolean getActivated()
	{
		return activated;
	}

	public Boolean getB4()
	{
		return b4;
	}

	public Boolean getBoolean1()
	{
		return boolean1;
	}

	public Boolean getBoolean10()
	{
		return boolean10;
	}

	public Boolean getBoolean2()
	{
		return boolean2;
	}

	public Boolean getBoolean3()
	{
		return boolean3;
	}

	public Boolean getBoolean4()
	{
		return boolean4;
	}

	public Boolean getBoolean5()
	{
		return boolean5;
	}

	public Boolean getBoolean6()
	{
		return boolean6;
	}

	public Boolean getBoolean7()
	{
		return boolean7;
	}

	public Boolean getBoolean8()
	{
		return boolean8;
	}

	public Boolean getBoolean9()
	{
		return boolean9;
	}

	public Boolean getCanBeRaplaced()
	{
		return canBeRaplaced;
	}

	public Boolean getCanBeReturned()
	{
		return canBeReturned;
	}

	public Boolean getGenerateContacts()
	{
		return generateContacts;
	}

	public Boolean getHasLetterOfCredit()
	{
		return hasLetterOfCredit;
	}

	public Boolean getHasPaperOfCredit()
	{
		return hasPaperOfCredit;
	}

	public Boolean getIsCourier()
	{
		return isCourier;
	}

	public Boolean getIsCustomClearance()
	{
		return isCustomClearance;
	}

	public Boolean getIsGenset()
	{
		return isGenset;
	}

	public Boolean getIsOceanFreight()
	{
		return isOceanFreight;
	}

	public Boolean getIsShippingLine()
	{
		return isShippingLine;
	}

	public Boolean getIsTrucking()
	{
		return isTrucking;
	}

	public Boolean getSameContactAddress()
	{
		return sameContactAddress;
	}

	public Boolean getSameShipingAddress()
	{
		return sameShipingAddress;
	}

	public DTOAddress getBillingAddress()
	{
		return billingAddress;
	}

	public DTOAddress getShippingAddress()
	{
		return shippingAddress;
	}

	public DTOBankInfo getBankInfo()
	{
		return bankInfo;
	}

	public DTOContactInfo getContactInfo()
	{
		return contactInfo;
	}

	public DTOLargeData getAttachment()
	{
		return attachment;
	}

	public DTOLargeData getAttachment1()
	{
		return attachment1;
	}

	public DTOLargeData getAttachment2()
	{
		return attachment2;
	}

	public DTOLargeData getAttachment3()
	{
		return attachment3;
	}

	public DTOLargeData getAttachment4()
	{
		return attachment4;
	}

	public DTOLargeData getAttachment5()
	{
		return attachment5;
	}

	public DTOLargeData getAttachment6()
	{
		return attachment6;
	}

	public DTOLargeData getAttachment7()
	{
		return attachment7;
	}

	public DTOLargeData getAttachment8()
	{
		return attachment8;
	}

	public DTOLargeData getAttachment9()
	{
		return attachment9;
	}

	public DTOLargeData getCommercialRegAttach()
	{
		return commercialRegAttach;
	}

	public DTOLargeData getTaxRegAttach()
	{
		return taxRegAttach;
	}

	public DTOSubsidiaryOwner getSubsidiaryAccounts()
	{
		return subsidiaryAccounts;
	}

	public DTOTaxInfo getTaxInfo()
	{
		return taxInfo;
	}

	public DTOTimePeriod getPaymentPeriod()
	{
		return paymentPeriod;
	}

	public DTOTimePeriod getReplacingPeriod()
	{
		return replacingPeriod;
	}

	public DTOTimePeriod getReturnPeriod()
	{
		return returnPeriod;
	}

	public Date getDealingStartDate()
	{
		return dealingStartDate;
	}

	public Date getLastPIDate()
	{
		return lastPIDate;
	}

	public Date getLastPODate()
	{
		return lastPODate;
	}

	public Date getLastPRDate()
	{
		return lastPRDate;
	}

	public EntityReferenceData getContactsGroup()
	{
		return contactsGroup;
	}

	public EntityReferenceData getDefaultCurrency()
	{
		return defaultCurrency;
	}

	public EntityReferenceData getPurchaseMan()
	{
		return purchaseMan;
	}

	public EntityReferenceData getRef10()
	{
		return ref10;
	}

	public EntityReferenceData getRef11()
	{
		return ref11;
	}

	public EntityReferenceData getRef12()
	{
		return ref12;
	}

	public EntityReferenceData getRef6()
	{
		return ref6;
	}

	public EntityReferenceData getRef7()
	{
		return ref7;
	}

	public EntityReferenceData getRef8()
	{
		return ref8;
	}

	public EntityReferenceData getRef9()
	{
		return ref9;
	}

	public EntityReferenceData getSupplierClass()
	{
		return supplierClass;
	}

	public EntityReferenceData getTaxPlan()
	{
		return taxPlan;
	}

	public Integer getImportance()
	{
		return importance;
	}

	public List<DTOSupplierContactInfo> getContacts()
	{
		return contacts;
	}

	public List<DTOSupplierExtraInfo> getExtraInfo()
	{
		return extraInfo;
	}

	public String getAdditionalInfo1()
	{
		return additionalInfo1;
	}

	public String getAdditionalInfo2()
	{
		return additionalInfo2;
	}

	public String getAdditionalInfo3()
	{
		return additionalInfo3;
	}

	public String getAdditionalInfo4()
	{
		return additionalInfo4;
	}

	public String getAltCode()
	{
		return altCode;
	}

	public String getCachedSizes()
	{
		return cachedSizes;
	}

	public String getContactTitle()
	{
		return contactTitle;
	}

	public String getDefaultUOM()
	{
		return defaultUOM;
	}

	public String getDescription10()
	{
		return description10;
	}

	public String getDescription6()
	{
		return description6;
	}

	public String getDescription7()
	{
		return description7;
	}

	public String getDescription8()
	{
		return description8;
	}

	public String getDescription9()
	{
		return description9;
	}

	public String getPaymentStarategy()
	{
		return paymentStarategy;
	}

	public void setActivated(Boolean activated)
	{
		this.activated = activated;
	}

	public void setAdditionalInfo1(String additionalInfo1)
	{
		this.additionalInfo1 = additionalInfo1;
	}

	public void setAdditionalInfo2(String additionalInfo2)
	{
		this.additionalInfo2 = additionalInfo2;
	}

	public void setAdditionalInfo3(String additionalInfo3)
	{
		this.additionalInfo3 = additionalInfo3;
	}

	public void setAdditionalInfo4(String additionalInfo4)
	{
		this.additionalInfo4 = additionalInfo4;
	}

	public void setAltCode(String altCode)
	{
		this.altCode = altCode;
	}

	public void setAnnualTargetAchievedValue(BigDecimal annualTargetAchievedValue)
	{
		this.annualTargetAchievedValue = annualTargetAchievedValue;
	}

	public void setAnnualTargetCostValue(BigDecimal annualTargetCostValue)
	{
		this.annualTargetCostValue = annualTargetCostValue;
	}

	public void setAnnualTargetValue(BigDecimal annualTargetValue)
	{
		this.annualTargetValue = annualTargetValue;
	}

	public void setAttachment(DTOLargeData attachment)
	{
		this.attachment = attachment;
	}

	public void setAttachment1(DTOLargeData attachment1)
	{
		this.attachment1 = attachment1;
	}

	public void setAttachment2(DTOLargeData attachment2)
	{
		this.attachment2 = attachment2;
	}

	public void setAttachment3(DTOLargeData attachment3)
	{
		this.attachment3 = attachment3;
	}

	public void setAttachment4(DTOLargeData attachment4)
	{
		this.attachment4 = attachment4;
	}

	public void setAttachment5(DTOLargeData attachment5)
	{
		this.attachment5 = attachment5;
	}

	public void setAttachment6(DTOLargeData attachment6)
	{
		this.attachment6 = attachment6;
	}

	public void setAttachment7(DTOLargeData attachment7)
	{
		this.attachment7 = attachment7;
	}

	public void setAttachment8(DTOLargeData attachment8)
	{
		this.attachment8 = attachment8;
	}

	public void setAttachment9(DTOLargeData attachment9)
	{
		this.attachment9 = attachment9;
	}

	public void setB4(Boolean b4)
	{
		this.b4 = b4;
	}

	public void setBankInfo(DTOBankInfo bankInfo)
	{
		this.bankInfo = bankInfo;
	}

	public void setBillingAddress(DTOAddress billingAddress)
	{
		this.billingAddress = billingAddress;
	}

	public void setBoolean1(Boolean boolean1)
	{
		this.boolean1 = boolean1;
	}

	public void setBoolean10(Boolean boolean10)
	{
		this.boolean10 = boolean10;
	}

	public void setBoolean2(Boolean boolean2)
	{
		this.boolean2 = boolean2;
	}

	public void setBoolean3(Boolean boolean3)
	{
		this.boolean3 = boolean3;
	}

	public void setBoolean4(Boolean boolean4)
	{
		this.boolean4 = boolean4;
	}

	public void setBoolean5(Boolean boolean5)
	{
		this.boolean5 = boolean5;
	}

	public void setBoolean6(Boolean boolean6)
	{
		this.boolean6 = boolean6;
	}

	public void setBoolean7(Boolean boolean7)
	{
		this.boolean7 = boolean7;
	}

	public void setBoolean8(Boolean boolean8)
	{
		this.boolean8 = boolean8;
	}

	public void setBoolean9(Boolean boolean9)
	{
		this.boolean9 = boolean9;
	}

	public void setCachedSizes(String cachedSizes)
	{
		this.cachedSizes = cachedSizes;
	}

	public void setCanBeRaplaced(Boolean canBeRaplaced)
	{
		this.canBeRaplaced = canBeRaplaced;
	}

	public void setCanBeReturned(Boolean canBeReturned)
	{
		this.canBeReturned = canBeReturned;
	}

	public void setCommercialRegAttach(DTOLargeData commercialRegAttach)
	{
		this.commercialRegAttach = commercialRegAttach;
	}

	public void setContactInfo(DTOContactInfo contactInfo)
	{
		this.contactInfo = contactInfo;
	}

	public void setContactTitle(String contactTitle)
	{
		this.contactTitle = contactTitle;
	}

	public void setContacts(List<DTOSupplierContactInfo> contacts)
	{
		this.contacts = contacts;
	}

	public void setContactsGroup(EntityReferenceData contactsGroup)
	{
		this.contactsGroup = contactsGroup;
	}

	public void setDealingStartDate(Date dealingStartDate)
	{
		this.dealingStartDate = dealingStartDate;
	}

	public void setDefaultCurrency(EntityReferenceData defaultCurrency)
	{
		this.defaultCurrency = defaultCurrency;
	}

	public void setDefaultUOM(String defaultUOM)
	{
		this.defaultUOM = defaultUOM;
	}

	public void setDescription10(String description10)
	{
		this.description10 = description10;
	}

	public void setDescription6(String description6)
	{
		this.description6 = description6;
	}

	public void setDescription7(String description7)
	{
		this.description7 = description7;
	}

	public void setDescription8(String description8)
	{
		this.description8 = description8;
	}

	public void setDescription9(String description9)
	{
		this.description9 = description9;
	}

	public void setExtraInfo(List<DTOSupplierExtraInfo> extraInfo)
	{
		this.extraInfo = extraInfo;
	}

	public void setGenerateContacts(Boolean generateContacts)
	{
		this.generateContacts = generateContacts;
	}

	public void setHasLetterOfCredit(Boolean hasLetterOfCredit)
	{
		this.hasLetterOfCredit = hasLetterOfCredit;
	}

	public void setHasPaperOfCredit(Boolean hasPaperOfCredit)
	{
		this.hasPaperOfCredit = hasPaperOfCredit;
	}

	public void setImportance(Integer importance)
	{
		this.importance = importance;
	}

	public void setIsCourier(Boolean isCourier)
	{
		this.isCourier = isCourier;
	}

	public void setIsCustomClearance(Boolean isCustomClearance)
	{
		this.isCustomClearance = isCustomClearance;
	}

	public void setIsGenset(Boolean isGenset)
	{
		this.isGenset = isGenset;
	}

	public void setIsOceanFreight(Boolean isOceanFreight)
	{
		this.isOceanFreight = isOceanFreight;
	}

	public void setIsShippingLine(Boolean isShippingLine)
	{
		this.isShippingLine = isShippingLine;
	}

	public void setIsTrucking(Boolean isTrucking)
	{
		this.isTrucking = isTrucking;
	}

	public void setLastPIDate(Date lastPIDate)
	{
		this.lastPIDate = lastPIDate;
	}

	public void setLastPODate(Date lastPODate)
	{
		this.lastPODate = lastPODate;
	}

	public void setLastPRDate(Date lastPRDate)
	{
		this.lastPRDate = lastPRDate;
	}

	public void setMaxCreditLimitFromSupplier(BigDecimal maxCreditLimitFromSupplier)
	{
		this.maxCreditLimitFromSupplier = maxCreditLimitFromSupplier;
	}

	public void setPaymentPeriod(DTOTimePeriod paymentPeriod)
	{
		this.paymentPeriod = paymentPeriod;
	}

	public void setPaymentStarategy(String paymentStarategy)
	{
		this.paymentStarategy = paymentStarategy;
	}

	public void setProfitMargin(BigDecimal profitMargin)
	{
		this.profitMargin = profitMargin;
	}

	public void setPurchaseMan(EntityReferenceData purchaseMan)
	{
		this.purchaseMan = purchaseMan;
	}

	public void setRef10(EntityReferenceData ref10)
	{
		this.ref10 = ref10;
	}

	public void setRef11(EntityReferenceData ref11)
	{
		this.ref11 = ref11;
	}

	public void setRef12(EntityReferenceData ref12)
	{
		this.ref12 = ref12;
	}

	public void setRef6(EntityReferenceData ref6)
	{
		this.ref6 = ref6;
	}

	public void setRef7(EntityReferenceData ref7)
	{
		this.ref7 = ref7;
	}

	public void setRef8(EntityReferenceData ref8)
	{
		this.ref8 = ref8;
	}

	public void setRef9(EntityReferenceData ref9)
	{
		this.ref9 = ref9;
	}

	public void setReplacingPeriod(DTOTimePeriod replacingPeriod)
	{
		this.replacingPeriod = replacingPeriod;
	}

	public void setReturnPeriod(DTOTimePeriod returnPeriod)
	{
		this.returnPeriod = returnPeriod;
	}

	public void setSameContactAddress(Boolean sameContactAddress)
	{
		this.sameContactAddress = sameContactAddress;
	}

	public void setSameShipingAddress(Boolean sameShipingAddress)
	{
		this.sameShipingAddress = sameShipingAddress;
	}

	public void setShippingAddress(DTOAddress shippingAddress)
	{
		this.shippingAddress = shippingAddress;
	}

	public void setShowGoodsDiscountPercent(BigDecimal showGoodsDiscountPercent)
	{
		this.showGoodsDiscountPercent = showGoodsDiscountPercent;
	}

	public void setSubsidiaryAccounts(DTOSubsidiaryOwner subsidiaryAccounts)
	{
		this.subsidiaryAccounts = subsidiaryAccounts;
	}

	public void setSupplierClass(EntityReferenceData supplierClass)
	{
		this.supplierClass = supplierClass;
	}

	public void setTaxInfo(DTOTaxInfo taxInfo)
	{
		this.taxInfo = taxInfo;
	}

	public void setTaxPlan(EntityReferenceData taxPlan)
	{
		this.taxPlan = taxPlan;
	}

	public void setTaxRegAttach(DTOLargeData taxRegAttach)
	{
		this.taxRegAttach = taxRegAttach;
	}

}
